Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Magento su windows server, problema installazione
 
il_dandi
Jr. Member
 
Total Posts:  29
Joined:  2008-07-28
 

Ciao a tutti, secondo voi per quale motivo quando cerco di eseguire l’installazione automatica, dopo il primo step, riparte la procedura di download

e alla fine si blocca con

There was a problem during downloading of Magento packages. Please check the output frame for errors information and refresh the page to retry again.
Refresh

dettaglio:

magento-core/Mage_Core_Modules requires package “magento-core/Lib_Js_Mage” (version >= 1.3.0, version <= 1.3.1, excluded versions: 1.3.1), installed version is 1.2.1
magento-core/Mage_All_Latest requires package “magento-core/Mage_Core_Modules” (version >= 1.3.0, version <= 1.3.0)
magento-core/Mage_Core_Adminhtml requires package “magento-core/Mage_Core_Modules” (version >= 1.3.0, version <= 1.3.0)
magento-core/Interface_Adminhtml_Default requires package “magento-core/Mage_Core_Adminhtml” (version >= 1.3.0, version <= 1.3.0)
magento-core/Interface_Frontend_Default requires package “magento-core/Mage_Core_Modules” (version >= 1.3.0, version <= 1.3.0)
magento-core/Interface_Install_Default requires package “magento-core/Mage_Core_Modules” (version >= 1.3.0, version <= 1.3.1, excluded versions: 1.3.1)
magento-core/Lib_Varien requires package “magento-core/Lib_ZF” (version >= 1.7.2.2, version <= 1.7.3, excluded versions: 1.7.3), installed version is 1.7.2.1
magento-core/Lib_Varien requires PHP extension “curl”
magento-core/Lib_Varien requires PHP extension “pdo_mysql”
Install Errors
No valid packages found
PEAR ERROR: install failed

cosa sbaglio??

 
Magento Community Magento Community
Magento Community
Magento Community
 
Black Cat
Moderator
 
Avatar
Total Posts:  3481
Joined:  2008-02-14
Assemini / Cagliari (Italy)
 

dipende.
Che webserver usi? le versioni di php e mysql sono le ultime? hai attivato le estensioni curl e pdo_mysql come ti dice giustamente il report? e sopratutto cosa stai installando

 
Magento Community Magento Community
Magento Community
Magento Community
 
weaper76
Sr. Member
 
Avatar
Total Posts:  120
Joined:  2009-02-20
 

controlla con questo file quello che ti manca per far funzionare magento
http://www.magentocommerce.com/_media/magento-check.zip

 
Magento Community Magento Community
Magento Community
Magento Community
 
il_dandi
Jr. Member
 
Total Posts:  29
Joined:  2008-07-28
 

Prima di tutto grazie per l’aiuto!

Ottengo questo errore

Your server does not meet the following requirements in order to install Magento.
The following requirements failed, please contact your hosting provider in order to receive assistance with meeting the system requirements for Magento:

* You need MySQL 4.1.20 (or greater)
* You are missing the curl extension
* You are missing the pdo_mysql extension

The following requirements were successfully met:

* You have PHP 5.2.0 (or greater)
* Safe Mode is off
* You have the dom extension
* You have the gd extension
* You have the hash extension
* You have the iconv extension
* You have the mcrypt extension
* You have the pcre extension
* You have the pdo extension
* You have the simplexml extension

Eppure MySQL è installato correttamente, infatti uso altri applicativi (.NET) con MySQL sullo stesso server.
Potresti dirmi inotre come attivare le extension richieste?

Grazie

 
Magento Community Magento Community
Magento Community
Magento Community
 
Black Cat
Moderator
 
Avatar
Total Posts:  3481
Joined:  2008-02-14
Assemini / Cagliari (Italy)
 

Mysql che versione è?
per le estensioni, dipende dal webserver che usi. ad esempio io uso WAMP e quando devo attivare servizi li trovo tranquillamente su un menu apposito. Altrimenti puoi attivarli da php.ini

 
Magento Community Magento Community
Magento Community
Magento Community
 
il_dandi
Jr. Member
 
Total Posts:  29
Joined:  2008-07-28
 

Come Web Server ho installato mySQL manualmente

non ho installato apache, utilizzo le pagine PHP tramite IIS

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top